mod render;
pub mod svg;

use sycamore::prelude::*;

#[component]
fn Slider<G: Html>(cx: Scope) -> View<G> {
    let value = create_signal(cx, 0.0);
    view! { cx,
        (value.get())
        input(type="range", bind:valueAsNumber=value)
    }
}

fn main() {
    sycamore::render_to(
        |cx| {
            view! { cx,
                Slider
                Slider
                Slider
            }
        },
        {
            let window = web_sys::window().unwrap();
            let document = window.document().unwrap();
            &document.query_selector("main").unwrap().unwrap()
        },
    );
}
